<div class="w-75">
  <table class="table table-hover table-sm w-100">
    <thead class="thead-dark">
      <tr>
        <th>Name</th> <th>Left</th> <th>OP</th> <th>Right</th> <th>=</th> <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of results">
        <td>{{item.name | titlecase}}</td>
        <td>{{item.lhs | number:'1.1-3'}}</td>
        <td>{{item.operator}}</td>
        <td>{{item.rhs | number:'1.1-3'}}</td>
        <td>=</td>
        <td>{{item.result | number:'1.1-3'}}</td>
      </tr>
    </tbody>
  </table>

  <hr />
  <pre>{{results | json}}</pre>
</div>
